Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- Makefile	28 Jul 2010 19:47:44 -0000	1.7
+++ Makefile	5 Aug 2010 19:36:18 -0000
@@ -1,6 +1,6 @@
 # Ports collection makefile for: freeswitch-core
 # Date created: May 11, 2010
-# Whom: Eric F Crist <ecrist@secure-computing.net>
+# Whom: Richard Neese<r.neese@gmail.com>
 #
 # $FreeBSD: ports/net/freeswitch-core/Makefile,v 1.7 2010/07/28 19:47:44 jpaetzel Exp $
 #
@@ -11,7 +11,7 @@
 CATEGORIES=	net
 MASTER_SITES=	http://files.freeswitch.org/:1 \
 		http://files.freeswitch.org/downloads/libs/:2
-DISTFILES=	freeswitch-${PORTVERSION}.tar.gz:1 \
+DISTFILES=	${BASE_PORTNAME}-${PORTVERSION}.tar.gz:1 \
 		celt-0.7.1.tar.gz:2 \
 		flite-1.3.99-latest.tar.gz:2 \
 		json-c-0.9.tar.gz \
@@ -24,19 +24,17 @@
 		soundtouch-1.3.1.tar.gz:2 \
 		sphinxbase-0.4.99-20091212.tar.gz:2 \
 		communicator_semi_6000_20080321.tar.gz:2
-EXTRACT_ONLY=	freeswitch-${PORTVERSION}.tar.gz
+EXTRACT_ONLY=	${BASE_PORTNAME}-${PORTVERSION}.tar.gz
 
 MAINTAINER=	r.neese@gmail.com
 COMMENT=	FreeSwitch SoftSwitch Port
 
-BROKEN=		Recent change to the PORTNAME resulted in plist problems
-
 BUILD_DEPENDS=	pkg-config:${PORTSDIR}/devel/pkg-config
 LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		gnutls:${PORTSDIR}/security/gnutls \
 		odbc:${PORTSDIR}/databases/unixODBC
 
-WRKSRC=		${WRKDIR}/freeswitch-${PORTVERSION}
+WRKSRC=		${WRKDIR}/${BASE_PORTNAME}-${PORTVERSION}
 
 ONLY_FOR_ARCHS=	i386 amd64
 
@@ -51,11 +49,11 @@
 VARBASE?=	/var
 CONFIGURE_ARGS=	--prefix=${PREFIX} \
 		--bindir=${PREFIX}/bin \
-		--sysconfdir=${PREFIX}/etc/${PORTNAME}/conf \
-		--includedir=${PREFIX}/include/${PORTNAME} \
-		--libdir=${PREFIX}/lib/${PORTNAME}/lib \
-		--with-modinstdir=${PREFIX}/lib/${PORTNAME}/mod \
-		--with-rundir=${VARBASE}/run/freeswitch \
+		--sysconfdir=${PREFIX}/etc/${BASE_PORTNAME}/conf \
+		--includedir=${PREFIX}/include/${BASE_PORTNAME} \
+		--libdir=${PREFIX}/lib/${BASE_PORTNAME}/lib \
+		--with-modinstdir=${PREFIX}/lib/${BASE_PORTNAME}/mod \
+		--with-rundir=${VARBASE}/run/${BASE_PORTNAME} \
 		--with-libgnutls-prefix=${LOCALBASE} \
 		--with-ogg=${LOCALBASE} \
 		--with-ogg-libraries=${LOCALBASE}/lib \
@@ -68,6 +66,7 @@
 
 FREESWITCH_USER=	freeswitch
 FREESWITCH_GROUP=	${FREESWITCH_USER}
+BASE_PORTNAME=	${FREESWITCH_USER}
 
 SUB_LIST=	FREESWITCH_USER=${FREESWITCH_USER} FREESWITCH_GROUP=${FREESWITCH_GROUP}
 
@@ -120,6 +119,10 @@
 
 .include <bsd.port.options.mk>
 
+.if ${OSVERSION} < 700000
+BROKEN=	Does not compile on FreeBSD < 7.0
+.endif
+
 .if ${ARCH} == "amd64"
 CFLAGS+=	-fPIC
 .endif
@@ -139,6 +142,9 @@
 .if !defined(WITH_MODOPENZAP)
 PLIST_SUB+=	WITH_MODOPENZAP="@comment "
 .else
+.if ${OSVERSION} < 703000 || (${OSVERSION} >= 800000 && ${OSVERSION} < 800108)
+IGNORE=		sorry you can not use mod_openzap on this version of freebsd ( dahdi support broken ) please update
+.endif
 PLIST_SUB+=	WITH_MODOPENZAP=""
 CONFIGURE_ARGS+=	--with-libpri
 BUILD_DEPENDS+=	libpri>=1.2.0:${PORTSDIR}/misc/libpri \
@@ -178,11 +184,11 @@
 
 pre-configure:
 	cd ${WRKSRC} && ./rebootstrap.sh
-	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/libdata/pkgconfig|g' ${WRKSRC}/libs/*/Makefile.am
+	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/pkgconfig|g' ${WRKSRC}/libs/*/Makefile.am
 	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/pkgconfig|g' ${WRKSRC}/libs/*/Makefile.in
-	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/libdata/pkgconfig|g' ${WRKSRC}/Makefile.am
-	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/libdata/pkgconfig|g' ${WRKSRC}/Makefile.in
-	@${REINPLACE_CMD} -e 's|base=http://files.freeswitch.org/downloads/libs/|base=file:///usr/ports/distfiles/|g' ${WRKSRC}/build/getlib.sh.in
+	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/pkgconfig|g' ${WRKSRC}/Makefile.am
+	@${REINPLACE_CMD} -e 's|pkgconfigdir = $$(libdir)/pkgconfig|pkgconfigdir = ${PREFIX}/libdata/pkgconfig|g' ${WRKSRC}/Makefile.in
+	@${REINPLACE_CMD} -e 's|base=http://files.freeswitch.org/downloads/libs/|base=file://${DISTDIR}/|g' ${WRKSRC}/build/getlib.sh.in
 
 .if defined(WITH_VOICEMAILPATCH)
 	@${REINPLACE_CMD} -e 's|${storage_dir}/|${voicemail_dir}|g' ${WRKSRC}/src/mod/applications/mod_voicemail/mod_voicemail.c
@@ -250,35 +256,29 @@
 .endif
 
 pre-install:
-	@${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
+	@${SH} ${PKGINSTALL} ${BASE_PORTNAME} PRE-INSTALL
 
 .if !defined(WITH_EXTENSIONS)
-	@${RM} ${WRKSRC}/conf/directory/default/*
+	@${FIND} ${WRKSRC}/conf/directory/default -type f -name '*.xml' -delete
 .endif
 
 post-install:
 .if !defined(WITH_EXTENSIONS)
-	@${MKDIR} ${PREFIX}/etc/${PORTNAME}/conf/directory/default
+	@${MKDIR} ${PREFIX}/etc/${BASE_PORTNAME}/conf/directory/default
 .endif
-	@${MKDIR} ${PREFIX}/share/${PORTNAME}/sounds
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${PREFIX}/etc/${PORTNAME}
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${PREFIX}/share/${PORTNAME}
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/db/${PORTNAME}
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/log/${PORTNAME}
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/${PORTNAME}
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/run/${PORTNAME}
-	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/spool/${PORTNAME}
-	@for i in $$(${FIND} ${PREFIX}/etc/${PORTNAME}/conf/ -type f -name '*.sample'); do if [ ! -f $${i%.sample} ]; then ${CP} -p $$i $${i%.sample}; fi; done
+	@${MKDIR} ${PREFIX}/share/${BASE_PORTNAME}/sounds
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${PREFIX}/etc/${BASE_PORTNAME}
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${PREFIX}/share/${BASE_PORTNAME}
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/db/${BASE_PORTNAME}
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/log/${BASE_PORTNAME}
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/${BASE_PORTNAME}
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/run/${BASE_PORTNAME}
+	@${CHOWN} -R ${FREESWITCH_USER}:${FREESWITCH_GROUP} ${VARBASE}/spool/${BASE_PORTNAME}
+	@for i in $$(${FIND} ${PREFIX}/etc/${BASE_PORTNAME}/conf/ -type f -name '*.sample'); do if [ ! -f $${i%.sample} ]; then ${CP} -p $$i $${i%.sample}; fi; done
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO_MSG} "This port chown -R various directories ${FREESWITCH_USER}:${FREESWITCH_GROUP} "
 	@${ECHO_MSG} "this is for port security . in the event something should stop working."
 	@${ECHO_MSG} "Please take the time to check chownership of the dir's"
-	@${ECHO_MSG} "${VARBASE}/db/${PORTNAME} ${VARBASE}/log/${PORTNAME} ${VARBASE}/${PORTNAME} ${PREFIX}/etc/${PORTNAME}"
-
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} < 700000
-IGNORE=		freeswitch is only supported on FreeBSD 7 or newer
-.endif
+	@${ECHO_MSG} "${VARBASE}/db/${BASE_PORTNAME} ${VARBASE}/log/${BASE_PORTNAME} ${VARBASE}/${BASE_PORTNAME} ${PREFIX}/etc/${BASE_PORTNAME}"
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- pkg-plist	16 Jul 2010 14:57:42 -0000	1.2
+++ pkg-plist	5 Aug 2010 19:36:18 -0000
@@ -4,162 +4,162 @@
 bin/fs_ivrd
 bin/fsxs
 bin/gentls_cert
-%%ETCDIR%%/conf/autoload_configs/acl.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/alsa.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/cdr_csv.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/cdr_pg_csv.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/cidlookup.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/conference.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/console.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/dialplan_directory.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/dingaling.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/directory.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/distributor.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/easyroute.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/enum.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/erlang_event.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/event_multicast.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/event_socket.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/fax.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/fifo.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/ivr.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/java.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/lcr.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/limit.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/local_stream.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/logfile.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/lua.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/memcache.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/modules.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/nibblebill.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/opal.conf.xml.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/autoload_configs/openzap.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/perl.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/pocketsphinx.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/portaudio.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/post_load_modules.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/python.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/rss.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/sangoma_codec.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/shout.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/skinny.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/sofia.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/spidermonkey.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/switch.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/syslog.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/timezones.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/tts_commandline.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/unicall.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/unimrcp.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/voicemail.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/xml_cdr.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/xml_curl.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/xml_rpc.conf.xml.sample
-%%ETCDIR%%/conf/autoload_configs/zeroconf.conf.xml.sample
-%%ETCDIR%%/conf/dialplan/default.xml.sample
-%%ETCDIR%%/conf/dialplan/default/00_pizza_demo.xml.sample
-%%ETCDIR%%/conf/dialplan/default/01_example.com.xml.sample
-%%ETCDIR%%/conf/dialplan/default/99999_enum.xml.sample
-%%ETCDIR%%/conf/dialplan/features.xml.sample
-%%ETCDIR%%/conf/dialplan/public.xml.sample
-%%ETCDIR%%/conf/dialplan/public/00_inbound_did.xml.sample
-%%ETCDIR%%/conf/directory/default.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1000.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1001.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1002.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1003.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1004.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1005.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1006.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1007.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1008.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1009.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1010.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1011.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1012.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1013.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1014.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1015.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1016.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1017.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1018.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/1019.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/brian.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/default.xml.sample
-%%WITH_EXTENSIONS%%%%ETCDIR%%/conf/directory/default/example.com.xml.sample
-%%ETCDIR%%/conf/extensions.conf.sample
-%%ETCDIR%%/conf/freeswitch.xml.sample
-%%ETCDIR%%/conf/fur_elise.ttml.sample
-%%ETCDIR%%/conf/ivr_menus/demo_ivr.xml.sample
-%%ETCDIR%%/conf/jingle_profiles/client.xml.sample
-%%ETCDIR%%/conf/jingle_profiles/server.xml.sample
-%%ETCDIR%%/conf/lang/de/de.xml.sample
-%%ETCDIR%%/conf/lang/de/demo/demo.xml.sample
-%%ETCDIR%%/conf/lang/de/vm/tts.xml.sample
-%%ETCDIR%%/conf/lang/en/demo/demo-ivr.xml.sample
-%%ETCDIR%%/conf/lang/en/demo/demo.xml.sample
-%%ETCDIR%%/conf/lang/en/dir/sounds.xml.sample
-%%ETCDIR%%/conf/lang/en/dir/tts.xml.sample
-%%ETCDIR%%/conf/lang/en/en.xml.sample
-%%ETCDIR%%/conf/lang/en/vm/sounds.xml.sample
-%%ETCDIR%%/conf/lang/en/vm/tts.xml.sample
-%%ETCDIR%%/conf/lang/fr/demo/demo.xml.sample
-%%ETCDIR%%/conf/lang/fr/dir/sounds.xml.sample
-%%ETCDIR%%/conf/lang/fr/dir/tts.xml.sample
-%%ETCDIR%%/conf/lang/fr/fr.xml.sample
-%%ETCDIR%%/conf/lang/fr/vm/sounds.xml.sample
-%%ETCDIR%%/conf/lang/ru/demo/demo-ivr.xml.sample
-%%ETCDIR%%/conf/lang/ru/demo/demo.xml.sample
-%%ETCDIR%%/conf/lang/ru/dir/sounds.xml.sample
-%%ETCDIR%%/conf/lang/ru/dir/tts.xml.sample
-%%ETCDIR%%/conf/lang/ru/ru.xml.sample
-%%ETCDIR%%/conf/lang/ru/vm/sounds.xml.sample
-%%ETCDIR%%/conf/lang/ru/vm/tts.xml.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/m3ua.conf.sample
-%%ETCDIR%%/conf/mime.types.sample
-%%ETCDIR%%/conf/mrcp_profiles/loquendo-7-mrcp-v2.xml.sample
-%%ETCDIR%%/conf/mrcp_profiles/nuance-1.0.0-mrcp-v1.xml.sample
-%%ETCDIR%%/conf/mrcp_profiles/nuance-5.0-mrcp-v1.xml.sample
-%%ETCDIR%%/conf/mrcp_profiles/nuance-5.0-mrcp-v2.xml.sample
-%%ETCDIR%%/conf/mrcp_profiles/unimrcpserver-mrcp-v1.xml.sample
-%%ETCDIR%%/conf/mrcp_profiles/voxeo-prophecy-8.0-mrcp-v1.xml.sample
-%%ETCDIR%%/conf/notify-voicemail.tpl.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/openzap.conf.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/pika.conf.sample
-%%ETCDIR%%/conf/sip_profiles/external.xml.sample
-%%ETCDIR%%/conf/sip_profiles/external/example.xml.sample
-%%ETCDIR%%/conf/sip_profiles/internal-ipv6.xml.sample
-%%ETCDIR%%/conf/sip_profiles/internal.xml.sample
-%%ETCDIR%%/conf/sip_profiles/internal/example.xml.sample
-%%ETCDIR%%/conf/skinny_profiles/internal.xml.sample
-%%ETCDIR%%/conf/tetris.ttml.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/tones.conf.sample
-%%ETCDIR%%/conf/vars.xml.sample
-%%ETCDIR%%/conf/voicemail.tpl.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/wanpipe.conf.sample
-%%ETCDIR%%/conf/web-vm.tpl.sample
-%%WITH_MODOPENZAP%%%%ETCDIR%%/conf/zt.conf.sample
+etc/freeswitch/conf/autoload_configs/acl.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/alsa.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/cdr_csv.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/cdr_pg_csv.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/cidlookup.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/conference.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/console.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/dialplan_directory.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/dingaling.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/directory.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/distributor.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/easyroute.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/enum.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/erlang_event.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/event_multicast.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/event_socket.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/fax.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/fifo.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/ivr.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/java.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/lcr.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/limit.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/local_stream.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/logfile.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/lua.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/memcache.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/modules.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/nibblebill.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/opal.conf.xml.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/autoload_configs/openzap.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/perl.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/pocketsphinx.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/portaudio.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/post_load_modules.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/python.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/rss.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/sangoma_codec.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/shout.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/skinny.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/sofia.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/spidermonkey.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/switch.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/syslog.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/timezones.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/tts_commandline.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/unicall.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/unimrcp.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/voicemail.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/xml_cdr.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/xml_curl.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/xml_rpc.conf.xml.sample
+etc/freeswitch/conf/autoload_configs/zeroconf.conf.xml.sample
+etc/freeswitch/conf/dialplan/default.xml.sample
+etc/freeswitch/conf/dialplan/default/00_pizza_demo.xml.sample
+etc/freeswitch/conf/dialplan/default/01_example.com.xml.sample
+etc/freeswitch/conf/dialplan/default/99999_enum.xml.sample
+etc/freeswitch/conf/dialplan/features.xml.sample
+etc/freeswitch/conf/dialplan/public.xml.sample
+etc/freeswitch/conf/dialplan/public/00_inbound_did.xml.sample
+etc/freeswitch/conf/directory/default.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1000.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1001.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1002.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1003.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1004.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1005.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1006.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1007.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1008.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1009.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1010.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1011.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1012.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1013.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1014.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1015.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1016.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1017.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1018.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/1019.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/brian.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/default.xml.sample
+%%WITH_EXTENSIONS%%etc/freeswitch/conf/directory/default/example.com.xml.sample
+etc/freeswitch/conf/extensions.conf.sample
+etc/freeswitch/conf/freeswitch.xml.sample
+etc/freeswitch/conf/fur_elise.ttml.sample
+etc/freeswitch/conf/ivr_menus/demo_ivr.xml.sample
+etc/freeswitch/conf/jingle_profiles/client.xml.sample
+etc/freeswitch/conf/jingle_profiles/server.xml.sample
+etc/freeswitch/conf/lang/de/de.xml.sample
+etc/freeswitch/conf/lang/de/demo/demo.xml.sample
+etc/freeswitch/conf/lang/de/vm/tts.xml.sample
+etc/freeswitch/conf/lang/en/demo/demo-ivr.xml.sample
+etc/freeswitch/conf/lang/en/demo/demo.xml.sample
+etc/freeswitch/conf/lang/en/dir/sounds.xml.sample
+etc/freeswitch/conf/lang/en/dir/tts.xml.sample
+etc/freeswitch/conf/lang/en/en.xml.sample
+etc/freeswitch/conf/lang/en/vm/sounds.xml.sample
+etc/freeswitch/conf/lang/en/vm/tts.xml.sample
+etc/freeswitch/conf/lang/fr/demo/demo.xml.sample
+etc/freeswitch/conf/lang/fr/dir/sounds.xml.sample
+etc/freeswitch/conf/lang/fr/dir/tts.xml.sample
+etc/freeswitch/conf/lang/fr/fr.xml.sample
+etc/freeswitch/conf/lang/fr/vm/sounds.xml.sample
+etc/freeswitch/conf/lang/ru/demo/demo-ivr.xml.sample
+etc/freeswitch/conf/lang/ru/demo/demo.xml.sample
+etc/freeswitch/conf/lang/ru/dir/sounds.xml.sample
+etc/freeswitch/conf/lang/ru/dir/tts.xml.sample
+etc/freeswitch/conf/lang/ru/ru.xml.sample
+etc/freeswitch/conf/lang/ru/vm/sounds.xml.sample
+etc/freeswitch/conf/lang/ru/vm/tts.xml.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/m3ua.conf.sample
+etc/freeswitch/conf/mime.types.sample
+etc/freeswitch/conf/mrcp_profiles/loquendo-7-mrcp-v2.xml.sample
+etc/freeswitch/conf/mrcp_profiles/nuance-1.0.0-mrcp-v1.xml.sample
+etc/freeswitch/conf/mrcp_profiles/nuance-5.0-mrcp-v1.xml.sample
+etc/freeswitch/conf/mrcp_profiles/nuance-5.0-mrcp-v2.xml.sample
+etc/freeswitch/conf/mrcp_profiles/unimrcpserver-mrcp-v1.xml.sample
+etc/freeswitch/conf/mrcp_profiles/voxeo-prophecy-8.0-mrcp-v1.xml.sample
+etc/freeswitch/conf/notify-voicemail.tpl.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/openzap.conf.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/pika.conf.sample
+etc/freeswitch/conf/sip_profiles/external.xml.sample
+etc/freeswitch/conf/sip_profiles/external/example.xml.sample
+etc/freeswitch/conf/sip_profiles/internal-ipv6.xml.sample
+etc/freeswitch/conf/sip_profiles/internal.xml.sample
+etc/freeswitch/conf/sip_profiles/internal/example.xml.sample
+etc/freeswitch/conf/skinny_profiles/internal.xml.sample
+etc/freeswitch/conf/tetris.ttml.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/tones.conf.sample
+etc/freeswitch/conf/vars.xml.sample
+etc/freeswitch/conf/voicemail.tpl.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/wanpipe.conf.sample
+etc/freeswitch/conf/web-vm.tpl.sample
+%%WITH_MODOPENZAP%%etc/freeswitch/conf/zt.conf.sample
 @exec for i in $(find %D/etc/freeswitch/conf/ -type f -name *.sample); do if [ ! -f ${i%.sample} ]; then cp $i ${i%.sample}; fi; done
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/default.dic
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/COPYING
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/feat.params
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/mdef
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/means
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/noisedict
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/sendump
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/transition_matrices
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/communicator/variances
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/Makefile
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/Makefile.am
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/Makefile.in
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/feat.params
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/kdtrees
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/mdef
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/means
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/noisedict
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/sendump
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/transition_matrices
-%%WITH_MODPOCKETSPHINX%%%%ETCDIR%%/grammar/model/wsj1/variances
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/default.dic
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/COPYING
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/feat.params
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/mdef
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/means
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/noisedict
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/sendump
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/transition_matrices
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/communicator/variances
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/Makefile
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/Makefile.am
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/Makefile.in
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/feat.params
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/kdtrees
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/mdef
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/means
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/noisedict
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/sendump
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/transition_matrices
+%%WITH_MODPOCKETSPHINX%%etc/freeswitch/grammar/model/wsj1/variances
 %%WITH_MODOPENZAP%%include/freeswitch/fsk.h
 %%WITH_MODOPENZAP%%include/freeswitch/g711.h
 %%WITH_MODOPENZAP%%include/freeswitch/hashtable.h
@@ -426,59 +426,60 @@
 %%WITH_MODXMLCURL%%lib/freeswitch/mod/mod_xml_curl.so
 lib/freeswitch/mod/mod_xml_rpc.la
 lib/freeswitch/mod/mod_xml_rpc.so
+libdata/pkgconfig/freeswitch.pc
 %%WITH_MODPERL%%perl/freeswitch.la
 %%WITH_MODPERL%%perl/freeswitch.pm
 %%WITH_MODPERL%%perl/freeswitch.so
-%%WWWDIR%%/htdocs/license.txt
-%%WWWDIR%%/htdocs/slim.swf
-%%WWWDIR%%/htdocs/slimtest.htm
-@dirrm %%WWWDIR%%/htdocs
-@dirrm %%WWWDIR%%
-@dirrm %%DATADIR%%/sounds
-@dirrm %%DATADIR%%
+www/freeswitch/htdocs/license.txt
+www/freeswitch/htdocs/slim.swf
+www/freeswitch/htdocs/slimtest.htm
+@dirrm www/freeswitch/htdocs
+@dirrm www/freeswitch
+@dirrm share/freeswitch/sounds
+@dirrm share/freeswitch
 %%WITH_MODPERL%%@dirrm perl
 @dirrm lib/freeswitch/mod
 @dirrm lib/freeswitch/lib
 @dirrm lib/freeswitch
 @dirrm include/freeswitch
-@dirrm %%ETCDIR%%/scripts
-%%WITH_MODPOCKETSPHINX%%@dirrm %%ETCDIR%%/grammar/model/wsj1
-%%WITH_MODPOCKETSPHINX%%@dirrm %%ETCDIR%%/grammar/model/communicator
-%%WITH_MODPOCKETSPHINX%%@dirrm %%ETCDIR%%/grammar/model
-@dirrm %%ETCDIR%%/grammar
-@dirrm %%ETCDIR%%/conf/skinny_profiles
-@dirrm %%ETCDIR%%/conf/sip_profiles/internal
-@dirrm %%ETCDIR%%/conf/sip_profiles/external
-@dirrm %%ETCDIR%%/conf/sip_profiles
-@dirrm %%ETCDIR%%/conf/mrcp_profiles
-@dirrm %%ETCDIR%%/conf/lang/ru/vm
-@dirrm %%ETCDIR%%/conf/lang/ru/dir
-@dirrm %%ETCDIR%%/conf/lang/ru/demo
-@dirrm %%ETCDIR%%/conf/lang/ru
-@dirrm %%ETCDIR%%/conf/lang/fr/vm
-@dirrm %%ETCDIR%%/conf/lang/fr/dir
-@dirrm %%ETCDIR%%/conf/lang/fr/demo
-@dirrm %%ETCDIR%%/conf/lang/fr
-@dirrm %%ETCDIR%%/conf/lang/en/vm
-@dirrm %%ETCDIR%%/conf/lang/en/dir
-@dirrm %%ETCDIR%%/conf/lang/en/demo
-@dirrm %%ETCDIR%%/conf/lang/en
-@dirrm %%ETCDIR%%/conf/lang/de/vm
-@dirrm %%ETCDIR%%/conf/lang/de/demo
-@dirrm %%ETCDIR%%/conf/lang/de
-@dirrm %%ETCDIR%%/conf/lang
-@dirrm %%ETCDIR%%/conf/jingle_profiles
-@dirrm %%ETCDIR%%/conf/ivr_menus
-@dirrm %%ETCDIR%%/conf/directory/default
-@dirrm %%ETCDIR%%/conf/directory
-@dirrm %%ETCDIR%%/conf/dialplan/public
-@dirrm %%ETCDIR%%/conf/dialplan/default
-@dirrm %%ETCDIR%%/conf/dialplan
-@dirrm %%ETCDIR%%/conf/autoload_configs
-@dirrm %%ETCDIR%%/conf
-@dirrm %%ETCDIR%%
-@exec mkdir -p %D/%%ETCDIR%%/scripts
-@exec mkdir -p %D/%%DATADDIR%%/sounds
+@dirrm etc/freeswitch/scripts
+%%WITH_MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model/wsj1
+%%WITH_MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model/communicator
+%%WITH_MODPOCKETSPHINX%%@dirrm etc/freeswitch/grammar/model
+@dirrm etc/freeswitch/grammar
+@dirrm etc/freeswitch/conf/skinny_profiles
+@dirrm etc/freeswitch/conf/sip_profiles/internal
+@dirrm etc/freeswitch/conf/sip_profiles/external
+@dirrm etc/freeswitch/conf/sip_profiles
+@dirrm etc/freeswitch/conf/mrcp_profiles
+@dirrm etc/freeswitch/conf/lang/ru/vm
+@dirrm etc/freeswitch/conf/lang/ru/dir
+@dirrm etc/freeswitch/conf/lang/ru/demo
+@dirrm etc/freeswitch/conf/lang/ru
+@dirrm etc/freeswitch/conf/lang/fr/vm
+@dirrm etc/freeswitch/conf/lang/fr/dir
+@dirrm etc/freeswitch/conf/lang/fr/demo
+@dirrm etc/freeswitch/conf/lang/fr
+@dirrm etc/freeswitch/conf/lang/en/vm
+@dirrm etc/freeswitch/conf/lang/en/dir
+@dirrm etc/freeswitch/conf/lang/en/demo
+@dirrm etc/freeswitch/conf/lang/en
+@dirrm etc/freeswitch/conf/lang/de/vm
+@dirrm etc/freeswitch/conf/lang/de/demo
+@dirrm etc/freeswitch/conf/lang/de
+@dirrm etc/freeswitch/conf/lang
+@dirrm etc/freeswitch/conf/jingle_profiles
+@dirrm etc/freeswitch/conf/ivr_menus
+@dirrm etc/freeswitch/conf/directory/default
+@dirrm etc/freeswitch/conf/directory
+@dirrm etc/freeswitch/conf/dialplan/public
+@dirrm etc/freeswitch/conf/dialplan/default
+@dirrm etc/freeswitch/conf/dialplan
+@dirrm etc/freeswitch/conf/autoload_configs
+@dirrm etc/freeswitch/conf
+@dirrm etc/freeswitch
+@exec mkdir -p %D/etc/freeswitch/scripts
+@exec mkdir -p %D/share/freeswitch/sounds
 @cwd /var/
 @dirrm spool/freeswitch/voicemail
 @dirrm log/freeswitch/xml_cdr
Index: files/freeswitch.in
===================================================================
RCS file: /home/ncvs/ports/net/freeswitch-core/files/freeswitch.in,v
retrieving revision 1.2
diff -u -r1.2 freeswitch.in
--- files/freeswitch.in	16 Jul 2010 14:57:42 -0000	1.2
+++ files/freeswitch.in	5 Aug 2010 19:36:18 -0000
@@ -18,13 +18,13 @@
 freeswitch_enable=${freeswitch_enable:-"NO"}
 freeswitch_user=${freeswitch_user:-"freeswitch"}
 freeswitch_group=${freeswitch_group:-"freeswitch"}
-freeswitch_flags=${freeswitch_flags:-"-nc"}
+freeswitch_flags=${freeswitch_flags:-"-nc -waste"}
 
 name=freeswitch
 rcvar=`set_rcvar`
 
 command=%%PREFIX%%/bin/freeswitch
-command_args="${freeswitch_flags} ${freeswitch_user} -g ${freeswitch_group}"
+command_args="${freeswitch_flags} -u ${freeswitch_user} -g ${freeswitch_group}"
 
 pidfile=${freeswitch_pidfile:-"/var/run/freeswitch/freeswitch.pid"}
 
